Escalate Conversation
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads/{threadId}/escalate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"escalationPrompt": "I want to talk to an actual human. Please escalate this conversation."
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads/{threadId}/escalate"
payload = { "escalationPrompt": "I want to talk to an actual human. Please escalate this conversation." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
escalationPrompt: 'I want to talk to an actual human. Please escalate this conversation.'
})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/threads/{threadId}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Escalated the conversation successfully",
"data": null
}
Threads
Escalate Conversation
Escalate a particular thread/conversation
POST
/
v0
/
chatbots
/
{chatbotId}
/
threads
/
{threadId}
/
escalate
Escalate Conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the chatbot the thread belongs to
Id of the thread that has to be escalated
Body
application/json
Request body to escalate a thread/conversation
Request Body
Escalation prompt to be used while escalting the conversation. Usually this is the description of the follow up prompt that is configured to trigger escaltion.
Was this page helpful?
⌘I